/*
Theme Name: Total Child
Theme URI: http://totalwptheme.com
Description: Total WordPress theme example child theme.
Author: AJ Clarke.inline
Author URI: http://totalwptheme.com
Template: Total
Version: 2.4
*/


.trp-flag-image.trp-flag-rounded {
    width: 30px !important;
    top: 1px;
}

/*FIX BUTTON VERT HEIGHT CENTER
.theme-button:not(.vcex-searchbar-button),
.menu-button .link-inner,
.woocommerce_checkout_place_order,
.checkout-button.wc-forward,
.woocommerce-cart-form__contents .button,
.woocommerce-mini-cart__buttons .button,
.button.wc-backward,
.product_type_simple.ajax_add_to_cart {
	text-box: trim-both cap alphabetic;
}
*/



#searchform-dropdown {
	border-radius: 0 0 20px 20px;
	padding: 30px;
	box-shadow: 0 5px 10px -10px rgba(0, 0, 0, 1) inset, 0 10px 15px -3px rgba(0, 0, 0, 0.1) !important;
}

.main-navigation .megamenu>.sub-menu {
	border-top: 3px solid var(--wpex-accent) !important;
	
}
/*ANIMATE TO TOP*/
body .wpex-dropdown-menu--animate>.menu-item>.sub-menu {
    margin-block-start: var(--wpex-dropmenu-animate-offset, 10px);
}
/*THEME - MENU - animate to down not to top*/
.wpex-dropdown-menu--animate>.menu-item>.sub-menu {
	margin-block-start: var(--wpex-dropmenu-animate-offset, -10px);
}

.header-box {
    background-color: var(--wpex-palette-455-color);
    color: var(--wpex-palette-23-color);
    padding: 20px;
    font-style: italic;
    font-weight: 700;
    font-family: "jeko";
	font-size: var(--wpex-text-xl);
    margin-bottom: 20px;
    border-radius: 20px;
}

/*WOOCOMMERCE*/
button[name="woocommerce_checkout_place_order"] {
	float:right;
}
/*WOOCOMMERCE CHECKOUT TABLE*/
.shop_table.woocommerce-checkout-review-order-table .product-name {
	width: 90%;
}

/*WOOCOMMERCE HIDE SENDUNG 1*/
.woocommerce-shipping-totals.shipping th {
	display: none;
}
.woocommerce-shipping-totals.shipping td {
	border: 0 !important;
}
/*WOOCOMMERCE ADRESS 2 COLUMNS*/
.form-row#billing_postcode_field {
	width: calc(50% - var(--wpex-woo-form-row-space) / 2);
	float: left;
}
.form-row#billing_city_field {
	width: calc(50% - var(--wpex-woo-form-row-space) / 2);
	float: right;
	clear: unset;
}
#payment .form-row.place-order {
	margin:0;
}
/*WOOCOMMERCE hide double line in thable above shipping*/
.blockUI.blockOverlay {
    display: none !important;
}
.mietzeitraum {
    font-weight: 500;
    padding: 10px;
    background-color: var(--wpex-surface-2);
}

/*FIX fill colum when link on image*/
.vcex-fill-column, 
.vcex-fill-column :is(.vcex-image-inner,.vcex-video-inner) {
	flex-direction: unset !important;
}

/*FIX BUTTON VERT HEIGHT CENTER*/
.theme-button:not(.vcex-searchbar-button),
.menu-button .link-inner,
.woocommerce_checkout_place_order,
.checkout-button.wc-forward,
.woocommerce-cart-form__contents .button,
.woocommerce-mini-cart__buttons .button,
.button.wc-backward,
.forminator-button,
.product_type_simple.ajax_add_to_cart,
#seopress-user-consent-accept,
#seopress-user-consent-close {
	text-box: trim-both cap alphabetic;
}

#seopress-user-consent-accept,
#seopress-user-consent-close {
    padding: 10px 20px !important;
}

.theme-button .theme-button-inner {
	display: block;
}
.wpex-hidden {
	display: none;
}

.leistungen-list .wpex-post-cards-entry {
	max-width: 900px;
	margin: 0 auto;
}

/*THEME - HEADER*/
header {
	box-shadow: 0px 10px 10px rgba(0, 0, 0, .1);
}
header .sub-menu {
    border: 0 !important;
    box-shadow: 
		0 5px 10px -10px rgba(0, 0, 0, 1) inset, 
		0 10px 15px -3px rgba(0, 0, 0, 0.1) !important;
}

/*THEME - FOOTER*/
footer .vcex-heading {
	color: #fff;
	font-size: 1em;
	margin-bottom: 15px;
}
footer .vcex-navbar-link {
    margin-bottom: 10px;
}
/*social no opacity*/
.wpex-social-bg:hover {
    opacity: unset;
}

/*THEME - OVERLAY*/
.wpex-bg-black, .wpex-hover-bg-black:hover {
    background-color: var(--wpex-accent-alt);
}

/*THEME - MENU - MEGAMENU*/
.megamenu .sub-menu {
	border-bottom-left-radius: 20px !important;
	border-bottom-right-radius: 20px !important;
}
.menu-box .vcex-icon-box-image {
	width: 80px;
}
.main-navigation-ul .sub-menu .menu-item a:hover {
	background-color: transparent !important; 
}
.main-navigation-ul .sub-menu .menu-item a img {
	transition: all .4s;
}
.main-navigation-ul .sub-menu .menu-item a:hover img {
	transform: scale(1.15);
	transition: all .4s;
}

.main-navigation-ul .sub-menu .menu-item a .vcex-icon-box-heading {
	position: relative;
	width: fit-content;
	padding-bottom: 13px;
}

.main-navigation-ul .sub-menu .menu-item a:hover .vcex-icon-box-heading {
	color: var(--wpex-hover-heading-link-color, var(--wpex-accent));
}

.main-navigation-ul .megamenu .sub-menu .menu-item a .vcex-icon-box-heading::after {
    content: "";
    display: var(--wpex-main-nav-link-underline-display, block);
    position: absolute;
    width: 100%;
    height: var(--wpex-main-nav-link-underline-height, 3px);
    inset-inline-start: 0;
    inset-block-end: var(--wpex-main-nav-link-underline-offset, 0px);
    background: var(--wpex-main-nav-link-underline-color, currentColor);
    opacity: 0;
    transform: scaleX(0.33);
    transition-property: transform,opacity,background-color;
    transition-duration: var(--wpex-main-nav-link-underline-transition-duration, 0.2s),
		var(--wpex-main-nav-link-underline-transition-duration, 0.2s),
		var(--wpex-main-nav-link-transition-duration, 0.2s);
	line-height: var(--wpex-main-nav-link-inner-line-height, normal);
}

.main-navigation-ul .megamenu .sub-menu .menu-item a:hover .vcex-icon-box-heading::after {
    content: "";
    display: var(--wpex-main-nav-link-underline-display, block);
    position: absolute;
    width: 100%;
    height: var(--wpex-main-nav-link-underline-height, 3px);
    inset-inline-start: 0;
    inset-block-end: var(--wpex-main-nav-link-underline-offset, 0px);
    background: var(--wpex-main-nav-link-underline-color, currentColor);
    opacity: 1;
    transform: scaleX(1);
    transition-property: transform,opacity,background-color;
    transition-duration: var(--wpex-main-nav-link-underline-transition-duration, 0.2s),
		var(--wpex-main-nav-link-underline-transition-duration, 0.2s),
		var(--wpex-main-nav-link-transition-duration, 0.2s);
	line-height: var(--wpex-main-nav-link-inner-line-height, normal);
}

/*THEME - MENU*/
.menu-titel {
	color: var(--wpex-body-color, var(--wpex-text-2));
	font-weight: 400;
	font-size: 1.1em;
	letter-spacing: 1px;
	text-transform: uppercase;
	padding: 20px 20px 0 20px;
}

.menu-desc {
	padding: 20px;
    font-size: .8em;
}

/*THEME - MENU - MOBILE*/
.full-screen-overlay-nav-menu .menu-box .vcex-icon-box-image {
	width: 60px;
	background-color: #fff;
	border-radius: 100%;
	padding: 10px;
}
.full-screen-overlay-nav-menu .menu-box .vcex-icon-box-heading {
	color: #fff;
}
.full-screen-overlay-nav-menu .menu-box .vcex-icon-box-content {
	font-size: .8em;
	text-transform: initial;
	font-weight: 300;
}
/*hide prices in woocommerce row*/
.full-screen-overlay-nav-menu .woocommerce-Price-amount,
.full-screen-overlay-nav-menu .wpex-cart-link__dash {
	display: none;
}
.full-screen-overlay-nav-menu {text-align: left;}

/*THEME - MILESTONES*/
.vcex-milestone-before {
    margin-right: 10px;
    font-size: 1.5rem;
}
.vcex-milestone-after {
    font-size: 1.5rem;
}
/*THEME - FAQ*/
.faq-element.vcex-toggle {
    border: 0;
    margin-bottom: 20px;
}
.faq-element .vcex-toggle__title {
    text-transform: uppercase;
}

/*THEME - ICONBOX*/
.vcex-icon-box-symbol.wpex-mr-20 {
    margin-inline-end: 10px;
}

/*THEME - TYPOGRAPHY*/
h2.vcex-icon-box-heading {
	margin: 0;
}



/*LOOP - TEAM*/
.team-title {
	font-size: 1.3em;
}

/*CONTENT - TEAM - SOCIAL*/
.wpex-social-btn-flat {
    color: var(--wpex-on-accent-alt);
    background: var(--wpex-accent-alt);
}
.wpex-social-btn-flat:hover {
    color: var(--wpex-on-accent);
    background: var(--wpex-accent);
}
.staff-social {
    display: flex;
    justify-content: center;
}

/*CONTENT - ROOMS - SEATING*/
.seating-item img {
	width: 60px;
}
.seating-item .vcex-icon-box-heading {
	text-transform: uppercase;
	font-weight: 600;
	font-size: 1rem;
}
.seating-item .vcex-icon-box-content {
    font-size: 1rem;
}

/*LOOP - DISCOUNT BOX*/
#box {
    width: 5em;
    height: 5em;
    position: absolute;
    top: 0;
    right: 0;
}
.single-coworking #box,
.single-vermietung #box {
    width: 7em;
    height: 7em;
    right: 15px;
    overflow: hidden;
    border-top-right-radius: 20px;
}
#box::before, #box::after {
	content: '';
	position: absolute;
	top: 0;
	right: 0;
	border-color: transparent;
	border-style: solid;
	width: 100%;
}
#box::before {
    content: '';
    background: url(/wp-content/uploads/2026/02/discount.svg);
    background-size: 45px;
    background-repeat: no-repeat;
    background-position: 0;
    z-index: 1;
    color: #fff;
    font-weight: 500;
    font-size: 2em;
    background-position: right 12px top 12px;
    width: 2em;
    height: 2em;
}
#box::after {
    border-width: 3.5em;
    border-right-color: var(--wpex-accent);
    border-top-color: var(--wpex-accent);
    width: 100%;
}


/*TRANSLATION*/
.trp-flag-image {
    width: var(--flag-size, 30px) !important;
    position: relative;
	transition: all .2s;
    margin: 0 !important;
}
.trp-language-switcher-container:hover .trp-flag-image {
	scale: 1.1;
	transition: all .2s;
}
.trp-language-switcher-container:hover .link-inner::after{
	display: none !important;	
}

/*WOOCOMMERCE - BANNER*/
.wpb_wrapper .wc-block-components-notice-banner {
    margin-block-end: 0px;
    background-color: #fff;
    margin-bottom: 20px;
}

/*WOOCOMMERCE - LIVE REGION INFO*/
.widget_shopping_cart_live_region[aria-relevant="all"] {
  animation: fadeInOut 5s forwards;
}
@keyframes fadeInOut {
  0%    { opacity: 0; }
  20%   { opacity: 1; }  /* Fade in complete */
  80%   { opacity: 1; }  /* Start fading out */
  100%  { opacity: 0; }  /* Fully hidden */
}
.widget_shopping_cart_live_region {
    opacity: 0;
    clip: unset;
    clip-path: unset;
    position: fixed;
    width: 250px !important;
    height: 100px !important;
    top: 140px !important;
    right: calc(100vw / 2 - var(--wpex-container-width) / 2 + 25px) !important;
    background-color: var(--wpex-accent) !important;
    overflow: visible;
    box-shadow: var(--wpex-shadow-lg);
    color: var(--wpex-on-accent);
    font-size: .8em;
    font-weight: 500;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    z-index: 10001;
	padding: 20px;
}
.widget_shopping_cart_live_region:after {
    content: " ";
    position: absolute;
    right: 30px;
    top: -15px;
    border-top: none;
    border-right: 15px solid transparent;
    border-left: 15px solid transparent;
    border-bottom: 15px solid var(--wpex-accent);
}
.widget_shopping_cart_live_region {
	position: fixed;
    width: 100px;
    height: 100px;
    bottom: 100px;
    right: 100px;
    background-color: #e86b6b;
}

/*WOCOMMERCE - MINICART*/
.woocommerce-mini-cart p.woocommerce-mini-cart__total.total,
.woocommerce-mini-cart .quantity,
.woocommerce-mini-cart__total.total,
.shop_table.woocommerce-checkout-review-order-table {
	display: none !important;
}
/*MINICART GO TO CART*/
.woocommerce-mini-cart__buttons .button.wc-forward:not(.checkout) {
    background: var(--wpex-surface-3);
    color: #fff;
    border-color: transparent;
}
/*MINI CART CHECKOUT*/
.woocommerce-mini-cart__buttons .button.wc-forward.checkout {
	display: none;
}

/*WOOCOMMERCE - CART - TABLE*/
th.product-name,
th.product-price {
	min-width: 250px;
}
/*WOOCOMMERCE - CHECKOUT - TABLE*/
.woocommerce-cart-form__cart-item .product-name div {
	display: none;
}
/*WOOCOMMERCE - CHECKOUT - FORM*/
.select2-selection.select2-selection--single {
    height: 47px !important;
    padding: 5px 5px !important;
}
.select2-selection__arrow {
    height: 47px !important;
    margin-right: 10px;
}
#custom_checkout_fields select {
    height: 47px;
    padding: 0 10px;
    width: 100%;
}
.woocommerce-additional-fields__field-wrapper .notes label {
	display:none;
}

/*WOOCOMMERCE - MENU CART - COLORS */
.wcmenucart-icon svg path {
	fill: var(--wpex-accent);
}
.wcmenucart-icon:hover svg path {
	fill: var(--wpex-accent ) !important;
}
.wcmenucart-icon svg path:last-child {
	fill: var(--wpex-accent-alt );
}
.wcmenucart-icon, .wpex-header-cart-icon__icon {
    top: -10px;
}
.wcmenucart-details.count {
    top: -25px !important;
    right: -5px !important;
}

/*WOOCOMMERCE THANKYOUPAGE hide shipping on thankyou*/
.woocommerce-order .woocommerce-table--order-details tfoot {
	display: none;
}

/*CONTENT - SUBBRAND SIZE*/
.subbrand img {
	width: auto;
}

/*CONTENT - ICON BOX*/
.icon-box .vcex-icon-box-content p,
.news-box .vcex-icon-box-content p{
	margin-top: 10px;
	font-size: .8em;
}
.icon-box,
.news-box {
    padding: 30px;
    background-color: #fff;
		border-radius: 20px;
	overflow: hidden;
	background-color: #fff;
	box-shadow: var(--wpex-shadow-lg);
	transition: all .4s;
}
.icon-box:hover,
.news-box:hover {
	transform: scale(1.05);
	box-shadow: var(--wpex-shadow-xl);
}
.icon-box img {
	width: 80px;
}

/*CONTENT - FEATURE ITEM*/
.feature-item img {
	border-radius: 20px;
	overflow: hidden;
	background-color: #fff;
	box-shadow: var(--wpex-shadow-lg);	
	transition: all .4s;
}
.feature-item:hover img {
	transform: scale(1.05);
	box-shadow: var(--wpex-shadow-xl);	
}

/*CONTENT - RENTAL ITEM*/
.rental-item {
	border-radius: 20px;
	overflow: hidden;
	background-color: #fff;
	box-shadow: var(--wpex-shadow-lg);
}
.rental-item figure.vcex-image {
	overflow: hidden;
}
.rental-item figure.vcex-image .vcex-image-img {
	transition: all 1s;		
}
.rental-item:hover figure.vcex-image .vcex-image-img {
	transition: all 1s;
	transform: scale(var(--wpex-image-hover-grow-sx, 1.1));
}

.rental-content {
	padding: 20px 20px 20px 0; 
}
.rental-image {}

.content-image,
.team-container .vcex-icon-box-image {
	border-radius: 20px;
	overflow: hidden;
	box-shadow: var(--wpex-shadow-lg);
}

.shop_table tbody {
	background-color: #fff;
}


.anchor {
    transition: transform 0.4s cubic-bezier(0.22, 1, 0.36, 1);
}

.contact-box .theme-button {
    background-color: var(--wpex-on-accent);
    color: var(--wpex-palette-23-color);
}
.contact-box .theme-button:hover {
    background-color: var(--wpex-accent);
    color: var(--wpex-on-accent);
}
.contact-box,
.price-box {
    border-radius: 20px;
    overflow: hidden;
}

.blue-box {
    padding: 20px;
    background-color: var(--wpex-palette-28-color);
}

.menu-box.vcex-icon-box {
	display: flex !important;
	align-items: center;
	gap: 10px;
}
.menu-box.vcex-icon-box .vcex-icon-box-text {
	font-size: .9rem;
}
.menu-box.vcex-icon-box .vcex-icon-box-heading {
    text-transform: uppercase;
    font-weight: 600;
    font-size: 1.1rem;	
	letter-spacing: 1px;
}

/*CONTENT - TESTIMONIAL*/
.testimonial-meta {
	margin-top: -20px;
}
.testimonial-meta .vcex-image-img {
    border-radius: var(--wpex-rounded-full);
    border: 15px solid var(--wpex-palette-88-color);
    top: -15px;
    position: relative;
}
.testimonial-title {
	font-size: 1.2em;
	font-weight: bold;
}
.testimonial-position {
    font-size: .9em;
    font-weight: lighter;
}

/*DESIGN*/
.radial {
	background-color: #004354;
	background: 
		radial-gradient(circle farthest-side at left center, #4bbcc5 0%, hsl(278, 49%, 10%) 50%, #004354 100%), 
		radial-gradient(circle farthest-side at right bottom, #4bbcc5 0%, transparent 50%, transparent 100%);
}

/*hide seating or discount badge*/
.hide {display:none;}
.unhide {display: block !important;}

/*MY CUSTOM ADD TO CART BUTTON*/
.ajax_add_to_cart.added:not(.nohide) {
	pointer-events:none;
}
.nohide .added_to_cart {
	display: none;
}
.nohide.loading {
	display: flex;
	align-items: center;
}

/*WOCOMMERCE - MINI ADD TO CART IN LOOP*/
.smalladd.loading .vcex-button-inner,
.smalladd.added .vcex-button-inner,
.smalladd.loading .added .vcex-button-inner,
.smalladd + .added_to_cart {
	display: none !important; 
}
.smalladd.ajax_add_to_cart.loading:after {
	margin-inline-start: 0px;
}
.smalladd.added::after {
	display: inline-block;
	width: 18px;
	height: 18px;
	content: '';
	background-color: currentColor;
	-webkit-mask-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 512 512'%3E%3Cpath d='M256 512A256 256 0 1 0 256 0a256 256 0 1 0 0 512zM369 209L241 337c-9.4 9.4-24.6 9.4-33.9 0l-64-64c-9.4-9.4-9.4-24.6 0-33.9s24.6-9.4 33.9 0l47 47L335 175c9.4-9.4 24.6-9.4 33.9 0s9.4 24.6 0 33.9z'/%3E%3C/svg%3E");
	-webkit-mask-repeat: no-repeat;
	-webkit-mask-size: contain;
	-webkit-mask-position: center;

	mask-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 512 512'%3E%3Cpath d='M256 512A256 256 0 1 0 256 0a256 256 0 1 0 0 512zM369 209L241 337c-9.4 9.4-24.6 9.4-33.9 0l-64-64c-9.4-9.4-9.4 24.6 0-33.9s24.6-9.4 33.9 0l47 47L335 175c9.4-9.4 24.6-9.4 33.9 0s9.4 24.6 0 33.9z'/%3E%3C/svg%3E");
	mask-repeat: no-repeat;
	mask-size: contain;
	mask-position: center;
	background-color: var(--wpex-on-accent);
	position: relative;
	top: 3px;
	left: 1px;
}

/*WOOCOMMERCE - HIDE MESSAGE AFTER ADDING*/
.nohide.loading svg,
.nohide.added svg {
	display: none;
}
.nohide.added,
.nohide.loading {
	pointer-events: none;
	left: 18px;
	position: relative;
}
.nohide.loading:after {
	position: absolute;
	top: 4px;
	left: -28px;
}
.nohide.added::after {
	display: inline-block;
	width: 18px;
	height: 18px;
	content:'';
	background-color: currentColor;

	-webkit-mask-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 512 512'%3E%3Cpath d='M256 512A256 256 0 1 0 256 0a256 256 0 1 0 0 512zM369 209L241 337c-9.4 9.4-24.6 9.4-33.9 0l-64-64c-9.4-9.4-9.4-24.6 0-33.9s24.6-9.4 33.9 0l47 47L335 175c9.4-9.4 24.6-9.4 33.9 0s9.4 24.6 0 33.9z'/%3E%3C/svg%3E");
	-webkit-mask-repeat: no-repeat;
	-webkit-mask-size: contain;
	-webkit-mask-position: center;
	mask-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 512 512'%3E%3Cpath d='M256 512A256 256 0 1 0 256 0a256 256 0 1 0 0 512zM369 209L241 337c-9.4 9.4-24.6 9.4-33.9 0l-64-64c-9.4-9.4-9.4 24.6 0-33.9s24.6-9.4 33.9 0l47 47L335 175c9.4-9.4 24.6-9.4 33.9 0s9.4 24.6 0 33.9z'/%3E%3C/svg%3E");
	mask-repeat: no-repeat;
	mask-size: contain;
	mask-position: center;
	background-color: var(--wpex-accent);
	position: absolute;
	top: 4px;
	left: -18px;
}

/*SPINNING*/
@-webkit-keyframes rotating /* Safari and Chrome */ {
	from {
		-webkit-transform: rotate(0deg);
		-o-transform: rotate(0deg);
		transform: rotate(0deg);
	}
	to {
		-webkit-transform: rotate(360deg);
		-o-transform: rotate(360deg);
		transform: rotate(360deg);
	}
}

@keyframes rotating {
	from {
		-ms-transform: rotate(0deg);
		-moz-transform: rotate(0deg);
		-webkit-transform: rotate(0deg);
		-o-transform: rotate(0deg);
		transform: rotate(0deg);
	}
	to {
		-ms-transform: rotate(360deg);
		-moz-transform: rotate(360deg);
		-webkit-transform: rotate(360deg);
		-o-transform: rotate(360deg);
		transform: rotate(360deg);
	}
}

.ticon-spin {
	-webkit-animation: rotating 2s linear infinite;
	-moz-animation: rotating 2s linear infinite;
	-ms-animation: rotating 2s linear infinite;
	-o-animation: rotating 2s linear infinite;
	animation: rotating 2s linear infinite;
}

/*THEME - LOOP - NO POSTS FOUND*/
.vcex-no-posts-found:hover {
	background-color: var(--wpex-accent) !important;
	color: #fff;
}
@media only screen and (max-width: 767px) {
	.vcex-no-posts-found {
		padding: 13px !important;
		background-color: #ebded4 !important;	
		transition: all .2s;
	}
}
@media only screen and (min-width: 768px) {
	.vcex-no-posts-found {
		padding: 30px !important;
		background-color: #fff !important;	
		transition: all .2s;
	}
}

a.remove.remove_from_cart_button:hover,
.vcex-terms-grid-entry-title a {
	transition: .2s all;
}
a.remove.remove_from_cart_button:hover,
.vcex-terms-grid-entry-title a:hover {
	scale: 1.7;
}